#! /usr/bin/env python

import os
import subprocess
import re
import sys

FILENAME = 'tmp.html'

if os.path.exists(FILENAME):
    os.unlink(FILENAME)

URL = 'https://www.namur.be/fr/@@teleservice-template'
subprocess.call(['wget', '--quiet', '-O', FILENAME, '--convert-links', URL])
content = '{% load i18n static combo %}' + open(FILENAME).read().strip()
if len(content) < 500:
    sys.exit(0)

# replace action of "subscribe newsletter" form
content = content.replace('action="tmp.html"', 'action="https://namur-preprod.imio.be/fr/"')

# remove tmp.html that have been added to anchor links
content = content.replace('tmp.html#', '#')

content = content.replace('</head>',
        '<title>{% firstof global_title "e-Guichet" %} {% block title %}{% endblock %}</title>\n</head>')

content = content.replace('</head>',
        '''
    {% block extra_top_head %}
    {% endblock %}
    {{ media }}
    <link rel="stylesheet" type="text/css" href="{{site_base}}{% static 'site-namur/style.css' %}?{{statics_hash}}">
    {% block extra_css %}
    {% endblock %}
    {% block extra_scripts %}
    {% endblock %}
    </head>''')

content = re.sub('<body(.*?)>',
        r'<body\1 {% block bodyargs %}{% endblock %}>',
        content)

content = content.replace('<div id="teleservice-nav"></div>',
          '<div id="teleservice-nav"><div id="nav">{% block nav %}{% endblock %}</div></div>')

content = content.replace('<div id="teleservice-content"></div>',
          '<div id="teleservice-content"><div id="content">{% block content %}{% endblock %}</div></div>')


# =============================================================================================================

# =============================================================================================================

content = content.replace('<div id="top-slogan-inner">','<div id="top-slogan-inner"><h1>Guichet en ligne</h1>')

content = content.replace('<style media="screen" type="text/css">@import url(https://namur-preprod.imio.be/portal_css/Sunburst%20Theme/++theme++cpskin.theme.base/css/fontello.css);</style>','')

content = content.replace('<link href="http://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700|Montserrat|Merriweather" media="all" rel="stylesheet" title="Google font Open Sans" type="text/css"/>','')

content = content.replace('<link href="http://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700" media="all" rel="stylesheet" title="Google font Open Sans" type="text/css"/>','')

content = content.replace('<script src="https://namur-preprod.imio.be/portal_javascripts/Sunburst%20Theme/resourceplonetruegallery-portlet-cachekey-3d4c482deb7057b84aa5ff9c3b380c1d.js" type="text/javascript"></script>','')

content = content.replace('<script src="https://namur-preprod.imio.be/portal_javascripts/Sunburst%20Theme/geoMailDecoder-cachekey-58ed32e59563d02d7f7b98aabeb5189b.js" type="text/javascript"></script>','')


#content = re.sub(r'<div id="teleservice-nav">.*</div>',
#          '<div id="nav">{% block nav %}{% block menu %}{% endblock %}{% endblock %}</div>',
#          content, flags=re.DOTALL)

#content = re.sub(r'<div id="teleservice-content">.*</div>',
#          '<div id="content">{% block content %}{% endblock %}</div>',
#          content, flags=re.DOTALL)



#content = re.sub(r'<article id="content">.*</article>',
#        '<div id="nav">{% block nav %}{% block menu %}{% endblock %}{% endblock %}</div>'
#        '<div id="content">{% block content %}{% endblock %}</div>',
#        content, flags=re.DOTALL)
#
#content = re.sub(r'<p class="hiddenStructure">Outils personnels</p>(.*?</ul>)',
#        '{% block user-info %} {% endblock %}',
#        content, flags=re.DOTALL)

open('theme.html', 'w').write(content)

